<!DOCTYPE html>
<html lang="en">
 <head>
  <title>Tier One Gateway</title>
  <script type="text/javascript" src="t1g.js"></script>
  <link href="t1g.css" type="text/css" rel="stylesheet">
  <link rel="icon" href="data:;base64,iVBORw0KGgo=">
 </head>

 <body>
  <div class="menu" id="menu">
   <div id="t1_logo"><img src="T1 Full Logo.svg" alt="Logo"></div>
   <span>Status</span>
   <ul id="status_menu"></ul>
   <span>Config</span>
   <ul id="update_menu"></ul>
   <div class="collapsed">
    <span id="advanced">Advanced</span>
    <ul id="advanced_menu"></ul>
   </div>
   <br>
   <a href="https://tierone.gitlab.io/tierone/t1g/t1g-gnss-sphinx-docs/" target="_blank"><span>Help</span></a>
   <hr>
   <button id="logout">Logout</button>
  </div>
  <div class="main">
   <div id="spinner" class="spinner hidden"></div>
   <div id="status"></div>
   <div id="update">
    <div id="features_update">
     <h1>Features</h1>
     <table>
      <tbody id="features_table">
      <tr><td>Bluetooth</td><td><input type="checkbox"><span></span></td></tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      <tr>
       <td>Log NMEA local</td>
       <td><input type="checkbox"><span></span><aside class="tooltip"><section>Log to local storage</section></aside></td>
      </tr>
      <tr>
       <td>Log NMEA USB</td>
       <td><input type="checkbox"><span></span><aside class="tooltip"><section>Log to USB thumb drive if one is plugged in</section></aside></td>
      </tr>
      <tr>
       <td>Log NMEA SD</td>
       <td><input type="checkbox"><span></span><aside class="tooltip"><section>Log to SD card if one is plugged in</section></aside></td>
      </tr>
      <tr>
       <td colspan="2">
        <a href="logs" target="_blank">Browse NMEA Logs (opens in separate window)</a>
        <aside class="tooltip"><section>Downloads from local storage</section></aside>
       </td>
      </tr>
      <tr><td colspan="2">&nbsp;</td></tr>
      </tbody>
     </table>
     <hr>
     <table>
      <thead><th>NTRIP</th></thead>
      <tbody id="ntrip_table">
      <tr>
       <th>Enable</th>
       <td><input id="ntrip_enable" type="checkbox" name="Enable"><span></span><aside class="tooltip"><section>Enable NTRIP correction.  Without it, basic GPS is used.</section></aside></td>
      </tr>
      <tr class="ntrip_settings"><th>Source</th><td>
       <select name="source" id="ntrip_source">
        <option value="bullseye">Verizon HPL</option>
        <option value="custom">Custom</option>
       </select>
      </td></tr>
      <tr class="ntrip_settings ntrip_custom"><th>Username</th><td><input type="text" placeholder="Username" size=10></td></tr>
      <tr class="ntrip_settings ntrip_custom"><th>Password</th><td><input type="text" placeholder="Password" size=10></td></tr>
      <tr class="ntrip_settings ntrip_custom"><th>Host</th><td><input type="text" placeholder="Host" size=25></td></tr>
      <tr class="ntrip_settings ntrip_custom"><th>Port</th><td><input type="text" placeholder="Port" size=5></td></tr>
      <tr class="ntrip_settings ntrip_custom">
       <th>Mountpoint</th>
       <td><input type="text" id="ntrip_mountpoint" placeholder="Mountpoint" size=10><select id="mountpoint_list"></select></td>
      </tr>
      <tr><td colspan=2><button id="ntrip_save">Save &amp; Apply</button><span></span></td></tr>
      <tr class="ntrip_settings ntrip_custom"><th>String</th><td id="ntrip_string"></td>
      </tbody>
     </table>
     <hr>
     <table>
      <thead>
       <tr><th>Connection</th><th>Wired</th><th>Mobile</th></tr>
      </thead>
      <tbody id="ports_table">
       <tr><td>NMEA</td><td align="center"><input type="checkbox"></td><td align="center"><input type="checkbox"></td><td><aside class="tooltip"><section>Allow NMEA access over network</section></aside></td></tr>
       <tr><td>RTCM</td><td align="center"><input type="checkbox"></td><td align="center"><input type="checkbox"></td><td><aside class="tooltip"><section>Allow RTCM access over network</section></aside></td></tr>
       <tr><td>SSH</td><td align="center"><input type="checkbox"></td><td align="center"><input type="checkbox"></td><td><aside class="tooltip"><section>Allow ssh access over network</section></aside></td></tr>
       <tr><td>WWW</td><td align="center"><input type="checkbox"></td><td align="center"><input type="checkbox"></td><td><aside class="tooltip"><section>Allow www access over network</section></aside></td></tr>
      </tbody>
     </table>
    </div>
    <div id="system_settings">
     <h1>System</h1>
     <table>
      <thead><tr><th colspan=2>Network Upgrade</th></tr></thead>
      <tbody id="net_upgrade_table">
       <tr>
        <td>Status:</td>
        <td id="net_upgrade_status"></td>
       </tr>
       <tr>
        <td>Current Version:</td>
        <td id="net_upgrade_currentversion"></td>
       </tr>
       <tr>
        <td>Network Version:</td>
        <td id="net_upgrade_updateversion"></td>
       </tr>
       <tr>
        <td colspan="2">
         <button id="btn_net_check">Check for Network Upgrade</button>
         <button disabled="true" id="btn_net_install">Install Network Upgrade</button>
        </td>
       </tr>
      </tbody>
     </table>
     <hr>
     <table>
      <thead><tr><th colspan=2>USB Upgrade</th></tr></thead>
      <tbody id="usb_upgrade_table">
       <tr>
        <td>Status:</td>
        <td id="usb_upgrade_status"></td>
       </tr>
       <tr>
        <td>Current Version:</td>
        <td id="usb_upgrade_currentversion"></td>
       </tr>
       <tr>
        <td>USB Version:</td>
        <td id="usb_upgrade_updateversion"></td>
       </tr>
       <tr>
        <td colspan="2">
         <button id="btn_usb_check">Check for USB Upgrade</button>
         <button disabled="true" id="btn_usb_install">Install USB Upgrade</button>
        </td>
       </tr>
      </tbody>
     </table>
     <hr>
     <button id="shutdown">Shutdown</button><button id="reboot">Reboot</button><span></span>
    </div>
   </div>
  </div>
  <div id="confirm" class="confirm">
   <div>
    <h1>Confirm Shutdown</h1>
    <span>You will need to cycle power to restart.  Are you sure you want to shutdown?</span>
    <button>No</button>
    <button>Yes</button>
   </div>
  </div>
 </body>
</html>
